message(STATUS "including precompiled C# binaries")

if(CMAKE_SIZEOF_VOID_P EQUAL 4)
	set(CSLIBEXT_DIR "${CMAKE_CURRENT_LIST_DIR}/bin/x86" CACHE INTERNAL "")
elseif(CMAKE_SIZEOF_VOID_P EQUAL 8)
	set(CSLIBEXT_DIR "${CMAKE_CURRENT_LIST_DIR}/bin/x64" CACHE INTERNAL "")
else()
	message(FATAL_ERROR "Could not detect bitness! ${CMAKE_SIZEOF_VOID_P}")
endif()

set(CSLIBEXT1_FILE "${CSLIBEXT_DIR}/CsLibExt1.dll" CACHE INTERNAL "")
set(CSLIBEXT2_FILE "${CSLIBEXT_DIR}/CsLibExt2.dll" CACHE INTERNAL "")

if(NOT EXISTS "${CSLIBEXT1_FILE}")
	message(FATAL_ERROR "assembly for external reference not found:${CSLIBEXT1_FILE}")
endif()

if(NOT EXISTS "${CSLIBEXT2_FILE}")
	message(FATAL_ERROR "assembly for external reference not found:${CSLIBEXT2_FILE}")
endif()

message("CSLIBEXT1_FILE:${CSLIBEXT1_FILE}")
message("CSLIBEXT2_FILE:${CSLIBEXT2_FILE}")
